Welcome to XC Alarm

XConnect is Sutron Corporation's latest data collection, data processing and data storage software. Built on the strong principles of PcBase2, XConnect is compliant with today's 32-bit Windows operating systems and provides new tools and options for the user.

XConnect is a collection of executables designed to provide a complete solution for data collection, data handling, data viewing and data storage.

XC Alarms's role in an XConnect system helps the user evaluate sensor thresholds and alarms, if desired. Additionally, when alarm thresholds are exceeded the user can configure notifications by fax, email or text messages.

XC Alarm also allows the user to monitor XConnect applications and data. Hearbeat checks will be made to XConnect applications. Also, database connectivity will also be monitored every minute. When database connectivity is restored, a ReInitialize will be sent to all the servers to re-connect to the database.

For real-time systems such as flood warning systems, XC Alarm can serve to immediately notify users of high or rate-of-change thresholds. For all systems, XC Alarm can monitor XConnect applications are all running and responding as well as for incoming data.

XC Alarm is used in conjunction with the database data storage option and the XConnect database schema. The user thresholds and alarm limits are entered in XC Desktop in the Sensor Setup window. All alarm thresholds are stored in the XC_SITESENSORS data table.

An example of the format of the alarm message sent is:

[2004/07/08 13:28:03] HighAlarm for Citizens.Stage @ 2004/07/07 12:15:00 : 3.08 above limit 1.2

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Moving around XC Alarm

The XC Alarm application consists of these main areas:

  • The Menu Bar provides access to all user-controllable functions within the application.

  • The Toolbar provides one-click access to important functions.

  • The Alarms Display windows displays the real-time data.

  • The Status panel provides the user with informational or error messages as well as queues for alarm faxes and alarm emails.

Click an area on the image below for more information.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Editing email settings

XC Alarm has a few settings required for sending e-mail alarm notifications.

  1. Click on XC Alarm to start the application

  2. From the Options menu, select Application Settings or from the toolbar click the [image] button.

  3. The Email Settings window appears.

Email settings parameters

  • Mail Type - XC Alarm currently only support Simple Mail Transfer Protocol (SMTP). SMTP is a TCP/IP protocol used in sending and receiving e-mail. SMTP usually is implemented to operate over Internet port 25. Please confirm this your network/IT personnel.

  • Enable - Check this option to enable e-mail alarm notifications.

  • SMTP Host - Enter mail server hostname or IP address (i.e, mymail.server.com or 192.234.22.12).

  • From - Enter senders email address (i.e., jdoe@mycompany.com).

  • Port - Enter Internet port number used for SMTP. Typically this will be set to 25.

  • To - Enter recipients email address. For multiple recipients separate with semicolons (i.e., adoe@mycompany.com;bdoe@mycompany.com;jdoe@mycompany.com).

  • Cc - Enter additional email address to copy. To enter multiple address, separate address with semicolons.

  • Authentication - SMTP authentication is an extension to the SMTP protocol that allows you to prove your identity to a mail gateway. SMTP Authentication allows for roaming access and reduces the SPAM that increases the traffic overhead on our mail servers by providing verification that mail originates from a valid user. Verify with your IT personnel if login authentication is needed on the XConnect PC running XC Alarm.

  • Username - Username for SMTP authentication when sending email.

  • Pass - Password for SMTP authentication when sending email.


Editing fax settings

XC Alarm has a few settings required for sending fax alarm notifications.

  1. Click on XC Alarm to start the application

  2. From the Options menu, select Application Settings or from the toolbar click the [image] button.

  3. The Fax Options window appears.

Fax settings parameters

  • Fax Class - Indicates whether the fax modem is used as Class 1, Class 1_0, Class 2 or Class 2.0. Refer to you fax modem user's manual. Selecting auto detect is a good default choice.

  • Enable - Check this option to enable fax alarm notifications.

  • Modem - Select fax modem used to fax alarm notifications.

  • Phone Number - Specifies the number to dial.

  • Dial attempts - Determines then number of times the phone number will be dialed to establish a fax session.

  • Retry wait - Number of seconds to wait after a busy signal before trying the number again.

  • Fax header - Title of the fax. $F represents the Sender ID, $D represents the date as mm/dd/yyyy and $T represents the time as HH:MM pm. if $F, $D, or $T are used, the current date, time and user entered Sender ID will be substituted in the fax header.

  • Sender ID -

  • Dial Prefix - The Dial Prefix specifies an optional dial prefix that is inserted in the dial command between the "ATDT" and the number to dial. If your telephone system requires special characters or codes when dialing out, you can specify then once here rather than in every fax number. Do not include the "ATD" or a "T" or "P" tone/pulse modifier in the dial prefix. the "ATD" is automatically prefix.

  • Modem Init - A custom modem initialization string. Do not include the "AT" in the string.

  • Fax Header - Custom header for the fax. Key codes $F, $D, $T will automatically include the Sender ID, Date and Time, respectively.

  • Use Enhanced Text for Fax Headers - Determines if user-selected fonts are used in the fax. The default font for the header is Arial 11pt.

  • Header Font - User-selected font for the header text.


Editing wave file settings

XC Alarm supports audible warnings when thresholds are exceeded. Users can specify a different wave file for each alarm condition. Alarm wave files can be easily recorded using Windows Sound Recorder application.

  1. Click on XC Alarm to start the application

  2. From the Options menu, select Wave File Settings or from the toolbar click the [image] button.

  3. The Alarm wave file window appears.

The user can select which alarms they would like evaluated and then select the corresponding wave file to be played when then alarm condition occurs. If multiple alarms occur, the highest level alarm wave file will be played. The alarm wave file will play continuously until the user closes the


Editing application options

Editing applications options

XC Alarm has a few options apart from those for email and fax.

  1. Click on XC Alarm to start the application.

  2. From the Options menu, select Application Settings or from the toolbar click the [image] button.

  3. The Applications Options window appears.

Application options parameters

  • Notification Settings - XC Alarm can be instructed to not exceed a limit total emails or faxes that will be transmitted within a certain time period. This will prevent a flood of repeated emails or faxes that may be triggered if a sudden system flood/alarm event occurs.

  • Monitoring Settings - XC Alarm can monitor the heartbeat of XConnect applications. This ensures that all the applications are running and responding. XC Alarm checks the heartbeat of XConnect applications every minute. If, after the user-specified time, the heartbeat response is not received by an application, an alarm notifications will be sent.

  • Data Settings - XC Alarm can monitor data continually. If, after the user-specified time, the new data has not been received by XC Alarm, an alarm notifications will be sent.

    • No data received by system - XC Alarm can send alarm if the system has not received data from ANY station in the user-selected time.

    • No data received by station - XC Alarm can send alarm if the data has not been received data from EACH station in the user-selected time.

    • Evaluate System Alarms only - XC Alarm can configured to only evaluate the system alarms and not sensor alarms, even if sensor threshold settings have been entered.

  • Status Detail - User can select the level of status messages displayed in the status window.


Connecting to a remote servers

Normally, XC Alarm will connect to the XConnect servers running on the same computer. Since XConnect modules are automation servers, connections can be made remotely over a network. In many cases, the XConnect base station computer that is controlling communications is in a separate office or building than the users. In this situation, the users can run XC Alarm on his/her local machine and connect over the network to the XConnect servers on the XConnect base station. The data collected on the remote computer node can be displayed by the XC Alarm running on the local machine.

To connect to a remote XConnect servers:

  1. From the main menu, select Options|Remote Nodes or click on the [image] to select a computer node on the network.

  2. After selecting the XConnect base station computer node, XC Alarm will display all real-time data received by the XC Rtu or XC Decode on the remote mode.


Messages in the status window

Email jobs are commencing.

Attempting to connect to SMTP host server at designated port number.

Connection to email server successful.

Email was successful.

Fax was transmitted successfully.

Fax transmission has been initiated.

Fax transmission failed.

There was an attempt to send a fax to this location. Fax receiving is not supported in XC Alarm.

Messages in the status window

Below are the status messages XC Alarm will display in the status window as it evaluates alarm conditions:

  • Sending email.

  • Connecting email server hostname:port number.

  • Email server connected.

  • Email sent successfully.

  • Transmit finished successfully. Seq = num; Priority = num Fax = xxx; Scheduled Time = time.

  • Transmit started. Seq = num; Priority = num Fax = xxx; Scheduled Time = time.

  • Transmit failed. Seq = num; Priority = num Fax = xxx; Scheduled Time = time.

  • Fax Receiving is not supported.


Logging alarm messages

All alarms new and acknowledged can be logged to disk. To log all status messages:

  1. Click the XC Alarm icon on the desktop. The XC Alarm application starts minimized.

  2. From the Options menu, select Log Alarms or from the toolbar click on the [image] icon. The user will be required to enter/select the name of the file to store the new alarm messages.

  3. Messages will be stored in an subdirectory named Alarms of the XConnect installation directory (i.e., C:\XCONNECT\ALARMS).


Logging status messages

The purpose of the Log Status Messages is more for troubleshooting. Logging all messages, it will provide Sutron customer support as a historical log of all events to help troubleshoot any problems. To log all status messages:

  1. Click the XC Alarm icon on the desktop. The XC Decode application starts minimized.

  2. From the Options menu, select Log Status Messages or from the toolbar click on the [image] icon. The user will be required to enter/select the name of the file to store the status messages.


Reinitializing parameters

XC Alarm gets the configuration data it needs from the XC Setup program. Since most of this information is requested at application startup, there needs to be a mechanism for propagating changes that are made to the setup after XC Alarm is already running. This mechanism is provided via the Reinitialize [image] function which can be found in XC Alarm on the toolbar or under the FILE menu. Clicking the Reinitialize [image] button causes XC Alarm to flush the current setup information from its buffer, request new setup information from XC Setup and most importantly, re-connects to the XC Rtu or XC Decode.


XConnect Database Schema

XConnect consists of a set of 4 “management” tables and a set of 4 "data" tables. The XConnect tables are designed to provide a great deal of flexibility in:

  • Naming of stations and data parameters

  • Grouping data through such attributes as river basin or political boundaries

  • Managing the size of data tables so that performance is maximized

The four management tables are:

  1. XC_SITES - Contains stations in XConnect system.

  2. XC_SITESENSORS - Contains sensors of stations in XConnect system.

The four data tables are:

  1. XC_DATA1 - Contains numerical sensor data.

  2. XC_TXTDATA1 - Contains text sensor data.

  3. XC_PPDATA1 - Contains data from post-processing instructions and operations.

  4. XC_GOESQC - Contains satellite message quality data.

  5. XC_RTUQC - Contains SSP communication data.

XC_SITES

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of station in XConnect
ENABLED | Character | 1 | Y | Active station (Y/N)
UNIT_ID | Character | 15 | N | RTU Unit ID
SITE_COMMENT | Character | 32 | N | General purpose string for comments on station
INSTALLATION_DATE | Date |  | N | Date station was installed
AGENCY | Character | 32 | N | Agency or organization that owns the station
COUNTRY | Character | 32 | N | Country where site is located
DISTRICT | Character | 32 | N | District where station is located
CITY | Character | 32 | N | City where station is located
STATE | Character | 32 | N | State where station is located
COUNTY | Character | 32 | N | County where station is located
BASIN | Character | 32 | N | Rriver basin where station is located
LATITUDE | Number |  | N | Latitude of station location
LONGITUDE | Number |  | N | Longitude of station location
ELEVATION | Number |  | N | Elevation of station
WEIGHTING_FACTOR | Number |  | N | Precipation station weighting for map calculation
COEFFICIENT1 | Number |  | N | General purpose coefficient 1
COEFFICIENT2 | Number |  | N | General purpose coefficient 2
COEFFICIENT3 | Number |  | N | General purpose coefficient 3
SATELLITE_ID | Character | 8 | N | Satellite/NESDIS identifier
PRIMARY_CHANNEL | Number |  | N | Primary satellite transmission channel
RANDOM_CHANNEL | Number |  | N | Secondary satellite transmission channel
REPORTING_TIME | Time |  | N | Assigned satellite transmission time slot
REPORTING_INTERVAL | Number |  | N | Assigned satellite transmission interval
LAST_UPDATE | Date |  | N | Time of last data received for station
TZONE_CODE | Character | 3 | N | ASCII time zone code, e.g., EST
GMT_OFFSET | Number |  | N | Time zone offset from GMT
SHEF_ID | Character | 8 | N | SHEF code for station
ALTERNATE_CHAR_ID_1 | Character | 10 | N | Alternate character ID 1
ALTERNATE_CHAR_ID_2 | Character | 10 | N | Alternate character ID 2
GPSTRING1 | Character | 20 | N | General purpose string 1
GPSTRING2 | Character | 20 | N | General purpose string 2
GPNUMBER1 | Number |  | N | General purpose number 1
GPNUMBER2 | Number |  | N | General purpose number 2
SETUP_FILE_NAME | Character | 255 | N | Filename of data logger setup file
PICTURE_FILE_NAME | Character | 255 | N | Filename of image of station

XC_SITESENSORS

Name | Data Type | Length | Required | Description
STE_STATION_ID (FK) | Character | 20 | Y | Name of station in XConnect
SENSORNAME (PK) | Character | 12 | Y | Name of sensor in XConnect
ENABLED | Character | 1 | Y | Active sensor enabled for porcessing (Y/N)
DATA_TABLE | Character | 10 | Y | Data table name where sensor is stored
DESCRIPTION | Character | 32 | N | General purpose string for comments on sensor
MANUFACTURER | Character | 20 | N | Manufacturer of sensor
MODEL_NUMBER | Character | 20 | N | Model number of sensor
SHEF_PE_CODE | Character | 7 | N | SHEF code for sensor
PARAMETER_CODE | Character | 12 | N | Parameter code applied for sensor
ALT_PARAMETER_CODE_1 | Character | 12 | N | Alternate parameter code 1
ALT_PARAMETER_CODE_2 | Character | 12 | N | Alternate parameter code 2
EQUATION | Character | 128 | N | Equation applied to sensor
RATING_TABLE | Character | 128 | N | Filename of rating/lookup table applied to sensor
OFFSET | Number |  | N | General purpose offset number
SHIFT | Number |  | N | General purpose shift number
HIGH_HIGH_LIMIT | Number |  | N | High high limit for sensor
HIGH_HIGH_ALARM | Number |  | N | How to apply High High limit: NONE, ABOVE, BELOW
HIGH_LIMIT | Number |  | N | High limit for sensor
HIGH_ALARM | Number |  | N | How to apply High limit: NONE, ABOVE, BELOW
LOW_LIMIT | Number |  | N | Low limit for sensor
LOW_ALARM | Number |  | N | How to apply Low limit: NONE, ABOVE, BELOW
LOW_LOW_LIMIT | Number |  | N | Low low limit for sensor
LOW_LOW_ALARM | Number |  | N | How to apply Low Low limit: NONE, ABOVE, BELOW
ROC_LIMIT | Number |  | N | Rate of change limit for sensor (per second)
ROC_ALARM | Number |  | N | How to apply Rate of Change limit: NONE, ABOVE, BELOW
ROC_INTERVAL | Number |  | N | Interval (seconds) over which rate of change is computed
DEADBAND | Number |  | N | Tolerance or allowable change in No Change where the alarm will not trigger
NO_CHANGE_INTERVAL | Number |  | N | Maximum time allowed for no change in sensor value expressed in days and fractions
NO_CHANGE_ALARM | Number |  | N | How to apply No Change limit: NONE, ON
TEXT_LIMIT | Character | 32 | N | Text that corresponds to an alarm condition for a text sensor data
TEXT_ALARM | Number |  | N | How to apply Text alarm: NONE, ON
COEFFICIENT1 | Number |  | N | General purpose coefficient 1
COEFFICIENT2 | Number |  | N | General purpose coefficient 2
COEFFICIENT3 | Number |  | N | General purpose coefficient 3
COEFFICIENT4 | Number |  | N | General purpose coefficient 4
COEFFICIENT5 | Number |  | N | General purpose coefficient 5
GPNUMBER1 | Number |  | N | General purpose number 1
GPNUMBER2 | Number |  | N | General purpose number 2
GPSTRING1 | Character | 20 | N | General purpose string 1
GPSTRING2 | Character | 20 | N | General purpose string 2
ALERT_ID | Number |  | N | ALERT identifier for sensor
ALERT_TYPE | Character | 10 | n | ALERT sensor type

XC_DATA1

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of station where sensor is located
SENSORNAME (PK) | Character | 12 | Y | Name of sensor
TIME_TAG (PK) | Date |  | Y | Date and time sensor value received
SOURCE (PK) | Character | 1 | Y | Source of data. Valid options are: S (Self-timed), R (Random), C (Current), T (Timetag)
ORIG_VALUE | Number |  | Y | Original data value as processed by XC Rtu or XC Decode
ED_VALUE | Number |  | N | Edited data value
FLAG1 | Character | 1 | N | General purpose quality flag 1
FLAG2 | Character | 1 | N | General purpose quality flag 2
FLAG3 | Character | 1 | N | General purpose quality flag 3
FLAG4 | Character | 1 | N | General purpose quality flag 4
HIGH_HIGH_FLAG | Number |  | N | Status of high high flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
HIGH_FLAG | Number |  | N | Status of high flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
LOW_FLAG | Number |  | N | Status of low flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
LOW_LOW_FLAG | Number |  | N | Status of low low flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
ROC_FLAG | Number |  | N | Status of rate of change flag. Valid options are: 0 (NORMAL), 1 (ABOVE), -1 (BELOW)
NO_CHG_FLAG | Number |  | N | Status of no change flag. Valid options are: 0 (NORMAL), 1 (CHANGE)
ALARM_FLAG | Number |  | N | Status of alert flag. Valid options are: 0 (NORMAL), 1 (CHANGE)

XC_TXTDATA1

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of station where sensor is located
SENSORNAME (PK) | Character | 12 | Y | Name of sensor
TIME_TAG (PK) | Number |  | Y | Date and time senor value received
SOURCE (PK) | Character | 1 | Y | Source of data. Valid options are: S (Self-timed), R (Random), C (Current), T (Timetag)
TEXT_VALUE | Character | 256 | Y | Original text value as received by XC Rtu or XC Decode
FLAG1 | Character | 1 | N | General purpose quality flag 1
FLAG2 | Character | 1 | N | General purpose quality flag 2
FLAG3 | Character | 1 | N | General purpose quality flag 3
FLAG4 | Character | 1 | N | General purpose quality flag 4
MESSAGE_STATUS | Character | 2 | N | Status character used to track if message has been read, forward, etc.
TXT_ALARM_FLAG | Number |  | N | Status of text alarm flag. Valid options are: 0 (NORMAL), 1 (ALARM)

XC_PPDATA1

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of station where sensor is located
DATA_LABEL (PK) | Character | 20 | Y | Name of computed value
PPI_NAME (PK) | Character | 5 | Y | Name of post processing instruction
TIME_TAG (PK) | Date |  | Y | Date and time of start of the post processing time period
TIME_PERIOD (PK) | Number |  | Y | Number of hours/days of data used by function
PP_VALUE | Number |  | Y | Post processed value
FLAG1 | Character | 1 | N | General purpose quality flag 1
FLAG2 | Character | 1 | N | General purpose quality flag 2
FLAG3 | Character | 1 | N | General purpose quality flag 3
VALUE_TIME_TAG | Date |  | N | Exact time value occurred (i.e, Time of max value)
PROCESS_TIME_TAG | Date |  | Y | Date and time value was actually processed/calculated
SENSORNAME | Character | 12 | Y | Name of sensor calculations performed on
ALTERNATE_LABEL | Character | 20 | N | Alternate label for computed value

XC_GOESQC

Name | Data Type | Length | Required | Description
NESDIS_ID (PK) | Character | 8 | Y | NESDIS or satellite agency identifier
TIME_TAG (PK) | Date |  | Y | Date and time message was transmitted
SOURCE (PK) | Character | 1 | Y | Source of message. Valid options are: S (Self-timed), R (Random)
STATION_ID | Character | 20 | N | XConnect station name, if not defined, defaults to NESDIS ID
FAILURE_CODE | Character | 1 | N | Message status
SIG_STRENGTH | Number |  | N | Signal Strength
FREQ_OFFSET | Number |  | N | Frequency Offset
MOD_INDEX | Character | 1 | N | Modulation Index
MOD_QUAL | Character | 1 | N | Modulation Quality
CHANNEL | Number |  | N | Channel message transmitted on
SAT_LOC | Character | 1 | N | GOES satellite message transmitted to
UC_STATUS | Character | 2 | N | Uplink carrier status (NOT CURRENTLY USED - ALWAYS FF)
MESSAGE_LEN | Number |  | N | Transmitted message length
ACTUAL_LEN | Number |  | N | Actual received message length
PARITY NUMBER | Number |  | N | Number of parity characters in message
BUFFER_EMPTY | Number |  | N | Number of BUFFER EMPTY messages transmitted by station (SATLINK only)
BATTERY_VOLTAGE | Number |  | N | Battery voltage at station when message was transmitted
SPARE1 | Number |  | N | Spare field for future use
SPARE2 | Number |  | N | Spare field for future use

XC_RTUQC

Name | Data Type | Length | Required | Description
STATION_ID (PK) | Character | 20 | Y | Name of the station SSP message was transmitted/received to/from
TIME_TAG (PK) | Date |  | Y | Date and time SSP message value transmitted/received
RX_TX (PK) | Character | 1 | Y | SSP messages was transmitted or received by XConnect
PORT | Character | 30 | N | Port SSP message was sent/received (i.e., COM!, COM2....)
SEQUENCENUM | Number |  | N | Sequence/flag number used in SSP message.
OPCODE | Number |  | N | SSP operation code (CurDataReq, TimeTagReq)
STATUS | Number |  | N | Status of SSP message (0 - None, 1 - Success, 2 - Failed)
RETRIES | Number |  | N | Number of retries used
GOOD | Number |  | N | Number of good messages received by the station
BAD | Number |  | N | Number of bad messages received by the station
CRC | Number |  | N | Number of SSP messages with CRC errors received by the station
BATTERY_VOLTAGE | Number |  | N | Battery Voltage from SSP message
SPARE1 | Number |  | N | Spare field for future use
SPARE2 | Number |  | N | Spare field for future use


Error messages

Troubleshooting steps:

Ensure that:

  • File is not already in use by another application such as Notepad.

  • Ensure directory path of output file exists. Use Windows Explorer or My Computer to verify path.

Troubleshooting steps:

Ensure that:

  • Directory is not write-protected.

Go to Windows Explorer and verify the properties of the directory.

  • File is not already open by another application.

Troubleshooting steps:

A COM interface connection is made by the XC Alarm application to XC Calc. This allows XC Alarm to monitor events triggered by XC Calc when new sensor data is available.

Potential reasons for error:

  • XC Calc is not running.

Close current application and restart. XC Calc should start automatically.

  • XC Calc does not start automatically with XConnect application.

Close current application. Start XC Calc manually from Start Menu. Then re-start XConnect applications.

If error still persists, reboot computer.

Troubleshooting steps:

A COM interface connection is made by the XC Alarm application to XC Mux. This allows XC Alarm to monitor the heartbeat of XC Mux and ensure it is running properly.

Potential reasons for error:

  • XC Mux is not running.

Close current application and restart. XC Mux should start automatically.

  • XC Mux does not start automatically with XConnect application.

Close current application. Start XC Mux manually from Start Menu. Then re-start XConnect applications.

If error still persists, reboot computer.

Troubleshooting steps:

A COM interface connection is made by the XC Alarm application to XC INSAT Mux. This allows XC Alarm to monitor the heartbeat of XC INSAT Mux and ensure it is running properly.

Potential reasons for error:

  • XC INSAT Mux is not running.

Close current application and restart. XC INSAT Mux should start automatically.

  • XC INSAT Mux does not start automatically with XConnect application.

Close current application. Start XC INSAT Mux manually from Start Menu. Then re-start XConnect applications.

If error still persists, reboot computer.

Troubleshooting steps:

A COM interface connection is made by the XC Alarm application to XC Daps. This allows XC Alarm to monitor the heartbeat of XC DAPS and ensure it is running properly.

Potential reasons for error:

  • XC Daps is not running.

Close current application and restart. XC Daps should start automatically.

  • XC Daps does not start automatically with XConnect application.

Close current application. Start XC Daps manually from Start Menu. Then re-start XConnect applications.

If error still persists, reboot computer.

Troubleshooting steps:

Ensure that:

  • SMTP mail host name is correct.

  • SMTP port number is correct.

  • SMTP mail host may or may not require authentication.

Error Messages

Potential error messages generated by XC Alarm are:

Error 1100: Cannot create Alarms message file.

Error 1101: Cannot write Alarms message to file.

Error 1104: Unable to connect to XC Calc Interface.

Error 1105: Unable to connect to XC Mux Interface.

Error 1106: Unable to connect to XC IMux Interface.

Error 1107: Unable to connect to XC Daps Interface.

Error 1108: Unable to send email. Error: message.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Menu Bar

The Menu Bar

The Menu Bar provides access to the following menus:

File

  • ReInitialize -- reloads the latest setup information from XC Setup and re-connects to local XC Rtu and/or XC Decode.

  • Login -- user login for XConnect system.

  • Exit -- terminate the application.

Alarms

  • Ack All Alarms -- acknowledges all alarms on the Alarms memo box.

  • Ack Selected Alarms -- acknowledges selected alarms on the Alarms memo box.

Options

  • Remote Nodes -- connect to remote XConnect servers as source of data.

  • Log Alarms -- logs all messages in the Alarms message windows to a disk file.

  • Log Status Messages -- logs all status messages to a disk file.

  • Wave File Settings -- edit wave file names used for audible alarms.

  • Email Settings -- edit settings for email alarm notification.

  • Fax Settings -- edit settings for fax alarm notification.

  • Application Settings -- edit setup parameters for XC Alarm.

  • Clear Status Messages -- clear the status message window.

  • Clear Alarm Messages -- clear the messages in the Alarms message window.

  • Clear Acked Alarm Messages -- clear the messages in the Acked Alarms message window.

Help

  • XC Alarm Help -- access this help system an defaults to Index tab.

  • XC Alarm Contents -- access this help system an defaults to Contents

  • About -- get version information for this application.


Notification Panel

The panel is a multi-tabbed control that displays status/error messages from the XC Alarm application as well as the current queues for any alarm notifications dispatched via fax or email.


Status panel

Alarms Status Panel

The Alarms status windows updates in real-time all the alarms that have been received and acknowledged. All new alarms are displayed in the top status window. Whenever the user acknowledges any alarms, they will be removed from the top status window to the lower Acked Alarms status window.


Toolbar

The XC Alarm Toolbar

The toolbar area allows you to quickly access various XC Alarm functions.

The following tools are provided:

Reload the latest setup information from XC Setup and re-connects to local XC Rtu and/or XC Decode.

Acknowledge all alarms on the Alarms memo box.

Acknowledge selected alarms on the Alarms memo box.

Log all messages in the Alarms message windows (new alarms and 'acked' alarms) to a disk file.

Log all status messages to a disk file.

Connect to remote XConnect servers.

Edit wave file names used for audible alarms.

Edit settings for email alarm notification.

Edit settings for fax alarm notification.

Edit setup parameters for XC Alarm.

Open the on-line help (this document).